# GLM: glm::gtx::extend Namespace Reference

# glm::gtx::extend Namespace Reference

GLM_GTX_extend extension: Extend a position from a source to a position at a defined length. More...

## Functions

template<typename genType >
genType | extend (genType const &Origin, genType const &Source, typename genType::value_type const Length)
| Extends of Length the Origin position using the (Source - Origin) direction.

## Detailed Description

GLM_GTX_extend extension: Extend a position from a source to a position at a defined length.

## Function Documentation

genType glm::gtx::extend::extend | ( | genType const & | Origin,
|  | genType const & | Source,
|  | typename genType::value_type const | Length |
| ) |  |  |

Extends of Length the Origin position using the (Source - Origin) direction.

From GLM_GTX_extend extension.